// Source: https://gitlab.com/pleio/frontend/-/blob/dev/src/less/core/variables.less
// Note: converted Less to Sass

// Colors
// -------------------------------

$color-primary: #01689b;
$color-primary--light: #3887ad;

$color-secondary: #009ee3;
$color-secondary--hover: tint($color-secondary, 20%);
$color-secondary--active: shade($color-secondary, 15%);

$color-secondary--light: tint($color-secondary, 60%);
$color-secondary--lighter: tint($color-secondary, 75%);
$color-secondary--lightest: tint($color-secondary, 90%);
$color-secondary--bright: tint($color-secondary, 95%);

$color-secondary-highlight: #00c6ff;

$c-primary: #00acff;
$c-secondary: #2196f3;

$color-navigation-hover: fade($color-secondary--lightest, 10%);
$color-navigation-active: fade($color-secondary--lightest, 50%);
$color-navigation-links: fade($color-secondary--lightest, 75%);

// Black & white
$color-black: #111111;
$color-white: #fff;

// Grey
$color-grey--10: #fafafa;
$color-grey--20: #f5f5f5;
$color-grey--40: #E3E3E3;
$color-grey--50: #949494;
$color-grey--60: #767676;
$color-grey--70: #767676;
$color-grey--80: #535353;

$color-icon-grey: rgba(0, 0, 0, 0.4);

$color-grey: #b4b4b4;

// Categoriën
$color-leren: #ffb612;
$color-vernieuwing: #fa6e00;
$color-arbeidsvoorwaarden: #ca005d;
$color-wetten: #76d2b6;
$color-actualiteit: #73b62a;
$color-overig: #009ee3;
$color-klas: #8fcae7;

// Social media colors
$color-twitter: #55acee;
$color-facebook: #3664a2;
$color-google: #db4f3f;
$color-linkedin: #0073b2;
$color-facebook: #3664a2;

$color-green: #54c277;
$color-error: #f94747;
$color-error-light: fade($color-error, 10%);

// File colors
$color-folder: #02b2ff;
$color-pdf: #d52b1e;
$color-image: $color-green;
$color-doc: $color-grey--60;

// Fonts
// -------------------------------

$font: "Rijksoverheid Sans", sans-serif;
$font--icons: "icons";

// Font sizes
$font-size--extra-small: 10px;
$font-size--small: 14px;
$font-size--medium: 14px;
$font-size--base: 16px;
$font-size--large: 18px;

$font-size--title-small: 22px;
$font-size--title-normal: 28px;
$font-size--title-main: 36px;

$calc-line-height: 6px;
$calc-line-height--title: 10px;
$calc-line-height--title-main: 12px;

$line-height--addition: 8px;

$line-height--extra-small: $font-size--extra-small + $line-height--addition;
$line-height--small: $font-size--small + $line-height--addition;
$line-height--medium: $font-size--medium + $line-height--addition;
$line-height--base: $font-size--base + $line-height--addition;
$line-height--large: $font-size--large + $line-height--addition;

$line-height--title-main: $font-size--title-main + $line-height--addition;
$line-height--title-normal: $font-size--title-normal + $line-height--addition;
$line-height--title-small: $font-size--title-small + $line-height--addition;

@mixin font($size) {
  @if ($size == extra-small) {
    font-size: 12px;
    line-height: 16px;
  }

  @if ($size == small) {
    font-size: 14px;
    line-height: 14px + $line-height--addition;
  }

  @if ($size == medium) {
    font-size: 16px;
    line-height: 16px + $line-height--addition;
  }

  @if ($size == large) {
    font-size: 18px;
    line-height: 18px + $line-height--addition;
  }

  @if ($size == title-small) {
    font-size: 20px;
    line-height: 20px + $line-height--addition;
  }

  @if ($size == title-large) {
    font-size: 24px;
    line-height: 24px + $line-height--addition;
  }

  @if ($size == title-extra-large) {
    font-size: 30px;
    line-height: 30px + $line-height--addition;
  }

  @if ($size == title-huge) {
    font-size: 42px;
    line-height: 42px + $line-height--addition;
  }

  @if ($size == title-humongous) {
    font-size: 48px;
    line-height: 48px + $line-height--addition;
  }
}

// Border radius
// -------------------------------

$border-radius-base: 0;
$border-radius-button: 6px;
$border-radius-small: 4px;
$border-radius-card: 4px;

// Box shadows
// -------------------------------

$shadow-card: 0 0 0 1px rgba(0, 0, 0, 0.11);

$box-shadow: 0 1px 5px 0 fade(black, 11%), 0 15px 30px -20px fade(black, 16%);
$box-shadow-tooltip: 0 0 1px 0 fade(black, 13%),
  0 2px 12px -2px fade(black, 10%);
$box-shadow-overlay: 0 -1px 10px 0 fade(black, 5%),
  0 -10px 30px -10px fade(black, 8%);

// Text shadows
// -------------------------------

$text-shadow: 0 2px 5px rgba(0, 0, 0, 0.25);

// Z-indexes
// -------------------------------

$lift-10: 1;
$lift-20: 2;
$lift-30: 3;
$lift-40: 4;
$lift-50: 5;
$lift-60: 6;
$lift-70: 7;
$lift-80: 8;
$lift-90: 9;
$lift-100: 10;
$lift-max: 9999;

// Transitions
// -------------------------------

$trans-bezier: cubic-bezier(0.4, 0, 0.2, 1);

$trans-fast: 0.15s ease;
$trans-normal: 0.35s ease;
$trans-slow: 0.5s ease;

$trans-material-fast: 0.15s $trans-bezier;
$trans-material-normal: 0.35s $trans-bezier;
